KIO Link
KIO Link XC APIKIO Link APIKIO BMS
Huawei BMSHuawei Alert
KIO Link XC APIKIO Link APIKIO BMS
Huawei BMSHuawei Alert
  1. API Keys
  • Auth
    • Sign In
      • Sign in with username
    • Session
      • Sign out
    • API Keys
      • Create my API key
        POST
      • List my API keys
        GET
      • Get my API key
        GET
      • Update my API key
        POST
      • Delete my API key
        POST
  • BMS
    • North
      • Get latest device data
      • Get latest alarms
      • Get EcoStruxure data
      • List devices
      • Count points
      • Count points per device
  • Schemas
    • Auth
      • SystemRole
      • OrganizationRole
      • OtpType
      • User
      • Session
      • SessionWithUser
      • TokenWithUser
      • SignInResponse
      • TwoFactorChallenge
      • AccountSummary
      • Passkey
      • WebAuthnCredential
      • ApiKey
      • ApiKeyWithSecret
      • Organization
      • Member
      • MemberWithUser
      • FullOrganization
      • OrganizationPermissions
      • SystemPermissions
      • PermissionCheckResult
    • BMS
      • ServiceDescriptor
      • SiteStatus
      • DeviceListRequest
      • LegacyDeviceListError
      • DeviceListResponse
      • DevicePoint
      • DeviceSnapshot
      • OnlineDataResponse
      • Alarm
      • OnlineAlarmResponse
      • PointsResponse
      • PointsForDeviceResponse
      • FileIngestionResult
      • EcoStruxureIngestionResult
      • EnteliCloudIngestionAccepted
      • PanelResult
      • PanelError
      • DeviceConnectionFields
      • CreateDeviceConnectionRequest
      • UpdateDeviceConnectionRequest
      • DeviceConnection
      • DeviceConnectionEnvelope
      • DeviceConnectionList
      • EnteliCloudConnectionName
      • CreateEnteliCloudConnectionRequest
      • EnteliCloudConnection
      • EnteliCloudConnectionEnvelope
      • EnteliCloudConnectionList
  1. API Keys

Get my API key

QA Environment
QA Environment
GET
/api/auth/api-key/get
Auth/API Keys
Last modified:2026-09-30 05:55:41
Maintainer:José María Esparza Arévalo
One of the signed-in user's keys.

Request

Authorization
API Key
Add parameter in cookie
kio-link-bms.session_token
Example:
kio-link-bms.session_token: ********************
or
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/auth/api-key/get?id='

Responses

🟢200
application/json
Success
Bodyapplication/json

Example
{
    "id": "string",
    "name": "string",
    "start": "string",
    "prefix": "string",
    "referenceId": "string",
    "enabled": true,
    "expiresAt": "2019-08-24T14:15:22.123Z",
    "lastRequest": "2019-08-24T14:15:22.123Z",
    "requestCount": 0,
    "remaining": 0,
    "rateLimitEnabled": true,
    "rateLimitTimeWindow": 0,
    "rateLimitMax": 0,
    "refillInterval": 0,
    "refillAmount": 0,
    "lastRefillAt": "2019-08-24T14:15:22.123Z",
    "permissions": {
        "property1": [
            "string"
        ],
        "property2": [
            "string"
        ]
    },
    "metadata": {
        "property1": "string",
        "property2": "string"
    },
    "createdAt": "2019-08-24T14:15:22.123Z",
    "updatedAt": "2019-08-24T14:15:22.123Z"
}
🟠400AuthBadRequest
🟠401AuthUnauthorized
🟠403AuthForbidden
🟠404AuthNotFound
🟠429AuthTooManyRequests
Modified at 2026-09-30 05:55:41
Previous
List my API keys
Next
Update my API key
Built with